package com.fzm.admin.controller;

import com.fzm.common.utils.StpAdminUtil;
import com.fzm.admin.params.LoginParam;
import com.fzm.common.constant.TokenConstant;
import com.fzm.common.entity.Admin;
import com.fzm.common.model.ResponseModel;
import com.fzm.common.service.AdminService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.Map;

/**
 * @author tangtuo
 * @date 2021/7/5 9:48
 */
@RestController
@RequestMapping("/admin")
@Api(tags = "后台用户管理")
public class AdminController {

    @Resource
    private AdminService adminService;

    @PostMapping("/login")
    @ApiOperation(value = "登录")
    public ResponseModel<Map<String, Object>> login(@Validated @RequestBody LoginParam loginParam) {
        Admin admin = adminService.login(loginParam.getUsername(), loginParam.getPassword());
        StpAdminUtil.login(admin.getId());
        HashMap<String, Object> result = new HashMap<>();
        result.put("user", admin);
        result.put(TokenConstant.TOKEN_HEADER, StpAdminUtil.getTokenValue());
        return ResponseModel.success(result);
    }
}
