package com.fzm.admin.controller;

import cn.dev33.satoken.annotation.SaCheckLogin;
import com.fzm.common.utils.StpAdminUtil;
import com.fzm.common.entity.Label;
import com.fzm.common.model.ResponseModel;
import com.fzm.common.service.LabelService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author tangtuo
 * @date 2021/7/1 14:37
 */
@SaCheckLogin(type = StpAdminUtil.TYPE)
@RestController
@RequestMapping(value = "/label")
@Api(tags = "标签管理")
public class LabelController {

    @Resource
    private LabelService labelService;

    @GetMapping("/list")
    @ApiOperation(value = "查询所有标签信息")
    public ResponseModel<List<Label>> list() {
        return ResponseModel.success(labelService.list());
    }
}
