package com.fzm.common.entity.vo;

import cn.hutool.core.date.DateUtil;
import com.fzm.common.entity.Nft;
import com.fzm.common.entity.User;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import sun.management.counter.perf.PerfInstrumentation;

/**
 * @author tangtuo
 * @date 2021/7/1 10:35
 */
@Data
public class NftVo {

    @ApiModelProperty("主键")
    private Integer id;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("类目")
    private String category;

    @ApiModelProperty("主题,多个用逗号,隔开")
    private String theme;

    @ApiModelProperty("发行人")
    private String publisher;

    @ApiModelProperty("头像")
    private String avatar;

    @ApiModelProperty("钱包地址")
    private String wallet;

    @ApiModelProperty("nft编号")
    private String nftId;

    @ApiModelProperty("剧本hash")
    private String fileHash;

    @ApiModelProperty("发行时间")
    private String publishTime;

    @ApiModelProperty("作者")
    private String author;

    @ApiModelProperty("简介")
    private String synopsis;

    @ApiModelProperty("关于nft")
    private String aboutNft;

    public NftVo(Nft nft, User user){
        this.id = nft.getId();
        this.author = nft.getAuthor();
        this.name = nft.getName();
        this.theme=nft.getTheme();
        this.fileHash = nft.getFileHash();
        this.nftId = nft.getNftId();
        this.synopsis = nft.getSynopsis();
        this.publisher = user.getNickname();
        this.avatar = user.getAvatar();
        this.wallet=user.getWallet();
        this.publishTime = DateUtil.format(nft.getPublishTime(), "yyyy/MM/dd HH:mm:ss");
    }
}
